package com.chenyang.nse.bussiness.entity.orm.table.core.notice;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SNMP_TRAP"
)
public class SnmpTrapInfomation extends TInitEntity {
   @Column(
      length = 32
   )
   private String enablestatus;
   @Column(
      length = 32
   )
   private String snmp_server_name;
   @Column(
      length = 32
   )
   private String snmp_server_ip;
   @Column(
      length = 32
   )
   private Integer port;
   @Column(
      length = 32
   )
   private String community;

   public String getEnablestatus() {
      return this.enablestatus;
   }

   public void setEnablestatus(String enablestatus) {
      this.enablestatus = enablestatus;
   }

   public String getSnmp_server_name() {
      return this.snmp_server_name;
   }

   public void setSnmp_server_name(String snmp_server_name) {
      this.snmp_server_name = snmp_server_name;
   }

   public String getSnmp_server_ip() {
      return this.snmp_server_ip;
   }

   public void setSnmp_server_ip(String snmp_server_ip) {
      this.snmp_server_ip = snmp_server_ip;
   }

   public Integer getPort() {
      return this.port;
   }

   public void setPort(Integer port) {
      this.port = port;
   }

   public String getCommunity() {
      return this.community;
   }

   public void setCommunity(String community) {
      this.community = community;
   }
}
